import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PatientDocumentWhereInputObjectSchema as PatientDocumentWhereInputObjectSchema } from './PatientDocumentWhereInput.schema'

const makeSchema = () => z.object({
  where: z.lazy(() => PatientDocumentWhereInputObjectSchema).optional()
}).strict();
export const PatientCountOutputTypeCountDocumentsArgsObjectSchema = makeSchema();
export const PatientCountOutputTypeCountDocumentsArgsObjectZodSchema = makeSchema();
